% uso di POLYFIT() e 
%        POLYVAL() per
% approssimazione (ai minimi
% quadrati) polinomiale
%

% definisco i punti (xi, yi)
xi = [1  2 3];
yi = [2 -1 5];

% cotruisco il polinomio di 
% approssimazione ai minimi quadrati
% di grado n
n = 1;
coeffPoly = polyfit(xi,yi,n);

% rappresento punti e retta in un grafico
plot(xi,yi,'o','lineWidth',2)
axis([min(xi)-1 max(xi)+1 min(yi)-1 max(yi)+1])
grid on

% aggiungo il polinomio di approssimazione
x  = linspace(min(xi)-1, max(xi)+1,1000);
yp = polyval(coeffPoly,x);
hold on
plot(x,yp,'m')








