% uso di POLYFIT() e 
%        POLYVAL() per
% interpolazione e 
% approssimazione (ai minimi
% quadrati) polinomiale
%
% Creo il polinomio di
% interpolazione nei punti
% (xi,yi) con yi = f(xi)
% con f          1
%      f(x) = -------
%              1+x^2
% detta funzione di Runge
%
%

% definisco la funzione
f = inline( '1./(1+x.^2)' );

% definisce intervallo [a,b]
% dove fare il grafico
a = -5;
b =  5;

% definisco i punti delle
% ascisse per tracciare il
% grafico
x = linspace(a,b,1000);

% traccio il grafico di f
yf = f(x);
plot(x,yf,'b')


% aggiungo i nodi 
numNodi = 51;
%xi = linspace(a,b,numNodi); % equispaziati
ti = cos( ( ( 2*(0:numNodi-1)+1 )/numNodi )*pi/2 );
xi = (a+b)/2+(b-a)/2 * ti; % nodi di Chebyshev
% valori della funzione nei nodi
yi = f(xi);
% aggiungo i punti (xi, yi)
% al grafico di f
hold on
plot(xi,yi,'or','lineWidth',2)

% costruisco il polinomio di 
% interpolazione per i punti (xi,yi)
%%%coeffPoly = polyfit(xi,yi,numNodi-1);
% valuto il polinomio nei punti x
%%%yp = polyval(coeffPoly,x);
yp = lagpoly(xi,yi,x);
% lo aggiungo al grafico di f
plot(x,yp,'m')
























