function y = lag(xi,i,x)
% LAG polinomio di Lagrange
%
%
%            PROD (x-xr)
%            r<>i
% Li(x) = ----------------
%            PROD (xi-xr)
%            r<>i
%
%                (x-xr)
%       = PROD  ---------
%         r<>i   (xi-xr) 
%
%          x-x(1)       x-x(2)          x-x(i-1)
%       = ---------- * -----------*....-------------*
%          x(i)-x(1)    x(i)-x(2)       x(i)-x(i-1)
%
%          x-x(i+1)       x-x(i+2)          x-x(end)
%       = ------------ * -------------*....------------
%          x(i)-x(i+1)    x(i)-x(i+2)       x(i)-x(end)
%       

numNodi = length(xi);
y = ones( size(x) );
for r=1:i-1
  y=y.*( x-xi(r) )/( xi(i)-xi(r) );  
end

for r=i+1:numNodi
  y=y.*( x-xi(r) )/( xi(i)-xi(r) );  
end










